Package org.bukkit.event.inventory

# Class BrewingStandFuelEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.inventory.BrewingStandFuelEvent

All Implemented Interfaces:
  `Cancellable`

public class BrewingStandFuelEvent extends BlockEvent implements Cancellable
Called when an ItemStack is about to increase the fuel level of a brewing stand.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BrewingStandFuelEvent(@NotNull Block brewingStand, @NotNull ItemStack fuel, int fuelPower)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull ItemStack`
`getFuel()`
Gets the ItemStack of the fuel before the amount was subtracted.
`int`
`getFuelPower()`
Gets the fuel power for this fuel.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`boolean`
`isConsuming()`
Gets whether the brewing stand's fuel will be reduced / consumed or not.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setConsuming(boolean consuming)`
Sets whether the brewing stand's fuel will be reduced / consumed or not.
`void`
`setFuelPower(int fuelPower)`
Sets the fuel power for this fuel.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BrewingStandFuelEvent

public BrewingStandFuelEvent(@NotNull @NotNull Block brewingStand, @NotNull @NotNull ItemStack fuel, int fuelPower)

## Method Details

### getFuel

@NotNull public @NotNull ItemStack getFuel()
Gets the ItemStack of the fuel before the amount was subtracted.

Returns:
  the fuel ItemStack

### getFuelPower

public int getFuelPower()
Gets the fuel power for this fuel. Each unit of power can fuel one brewing operation.

Returns:
  the fuel power for this fuel

### setFuelPower

public void setFuelPower(int fuelPower)
Sets the fuel power for this fuel. Each unit of power can fuel one brewing operation.

Parameters:
  `fuelPower` - the fuel power for this fuel

### isConsuming

public boolean isConsuming()
Gets whether the brewing stand's fuel will be reduced / consumed or not.

Returns:
  whether the fuel will be reduced or not

### setConsuming

public void setConsuming(boolean consuming)
Sets whether the brewing stand's fuel will be reduced / consumed or not.

Parameters:
  `consuming` - whether the fuel will be reduced or not

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()